<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: main.task_object Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classmain_1_1task__object.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classmain_1_1task__object-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">main.task_object Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a783f0929b63650408927599fd72f29ac"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1task__object.html#a783f0929b63650408927599fd72f29ac">__init__</a> (self, float <a class="el" href="classmain_1_1task__object.html#a626bc8046986904d9e910bd01c2113aa">sampling_rate</a>=-1, str <a class="el" href="classmain_1_1task__object.html#a4275e558e733446792003c9546c93557">task_mode</a>=&quot;main&quot;, scope=None, dict <a class="el" href="classmain_1_1task__object.html#a698f46fe6bd5d1aa24ca0d1a22178094">component_dict</a>=dict(), int <a class="el" href="classmain_1_1task__object.html#a2eb2e96d8973bd1d9d182477a682e0a7">param_key</a>=0)</td></tr>
<tr class="separator:a783f0929b63650408927599fd72f29ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28531f5e3eefdee006e40795eef4e911"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1task__object.html#a28531f5e3eefdee006e40795eef4e911">param_change</a> (self, float simulated_time=0)</td></tr>
<tr class="separator:a28531f5e3eefdee006e40795eef4e911"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a626bc8046986904d9e910bd01c2113aa"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1task__object.html#a626bc8046986904d9e910bd01c2113aa">sampling_rate</a></td></tr>
<tr class="separator:a626bc8046986904d9e910bd01c2113aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ae8fca69b6436fb9e27e7966c4bebfa"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1task__object.html#a1ae8fca69b6436fb9e27e7966c4bebfa">scope</a></td></tr>
<tr class="separator:a1ae8fca69b6436fb9e27e7966c4bebfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4275e558e733446792003c9546c93557"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1task__object.html#a4275e558e733446792003c9546c93557">task_mode</a></td></tr>
<tr class="separator:a4275e558e733446792003c9546c93557"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a698f46fe6bd5d1aa24ca0d1a22178094"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1task__object.html#a698f46fe6bd5d1aa24ca0d1a22178094">component_dict</a></td></tr>
<tr class="separator:a698f46fe6bd5d1aa24ca0d1a22178094"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2eb2e96d8973bd1d9d182477a682e0a7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmain_1_1task__object.html#a2eb2e96d8973bd1d9d182477a682e0a7">param_key</a></td></tr>
<tr class="separator:a2eb2e96d8973bd1d9d182477a682e0a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a783f0929b63650408927599fd72f29ac" name="a783f0929b63650408927599fd72f29ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a783f0929b63650408927599fd72f29ac">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def main.task_object.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float &#160;</td>
          <td class="paramname"><em>sampling_rate</em> = <code>-1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str &#160;</td>
          <td class="paramname"><em>task_mode</em> = <code>&quot;main&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>scope</em> = <code>None</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dict &#160;</td>
          <td class="paramname"><em>component_dict</em> = <code>dict()</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &#160;</td>
          <td class="paramname"><em>param_key</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param sampling_rate: (float) sampling rate of the task object in 
    Hertz. If sampling_rate &gt;= 0, then the task of the object will not
    be renewed automatically by the task loop.
:param task_mode: (str)
:param scope: None
:param component_dict: (dict) 
:param param_key: 
</pre> 
</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a28531f5e3eefdee006e40795eef4e911" name="a28531f5e3eefdee006e40795eef4e911"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28531f5e3eefdee006e40795eef4e911">&#9670;&nbsp;</a></span>param_change()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def main.task_object.param_change </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float &#160;</td>
          <td class="paramname"><em>simulated_time</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">The method changing the parameters of a component. The new parameters
are stored in the `param_key` property.

param simuladed_time: (float) the current simulated time for the 
    parameter change
</pre> 
</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a698f46fe6bd5d1aa24ca0d1a22178094" name="a698f46fe6bd5d1aa24ca0d1a22178094"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a698f46fe6bd5d1aa24ca0d1a22178094">&#9670;&nbsp;</a></span>component_dict</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">main.task_object.component_dict</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2eb2e96d8973bd1d9d182477a682e0a7" name="a2eb2e96d8973bd1d9d182477a682e0a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2eb2e96d8973bd1d9d182477a682e0a7">&#9670;&nbsp;</a></span>param_key</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">main.task_object.param_key</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a626bc8046986904d9e910bd01c2113aa" name="a626bc8046986904d9e910bd01c2113aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a626bc8046986904d9e910bd01c2113aa">&#9670;&nbsp;</a></span>sampling_rate</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">main.task_object.sampling_rate</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1ae8fca69b6436fb9e27e7966c4bebfa" name="a1ae8fca69b6436fb9e27e7966c4bebfa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ae8fca69b6436fb9e27e7966c4bebfa">&#9670;&nbsp;</a></span>scope</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">main.task_object.scope</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4275e558e733446792003c9546c93557" name="a4275e558e733446792003c9546c93557"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4275e558e733446792003c9546c93557">&#9670;&nbsp;</a></span>task_mode</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">main.task_object.task_mode</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="main_8py.html">main.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacemain.html">main</a></li><li class="navelem"><a class="el" href="classmain_1_1task__object.html">task_object</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
